org.apache.fop.render.pdf.extensions

## Class PDFLayerElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement
    - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement
      - - org.apache.fop.render.pdf.extensions.PDFDictionaryElement
        - - org.apache.fop.render.pdf.extensions.PDFLayerElement

All Implemented Interfaces:
  Cloneable

    public class PDFLayerElement
    extends PDFDictionaryElement

Extension element for pdf:layer.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryElement

`ATT_ID`

### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

`ATT_KEY`

### Fields inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

`attachment`

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `startOfNode()` Called after processNode() is called.

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryElement

`addChildNode, endOfNode, getDictionaryExtension, getLocalName, instantiateExtensionAttachment, processNode`

### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryElement

`characters, getExtension`

### Methods inherited from class org.apache.fop.render.pdf.extensions.AbstractPDFExtensionElement

`getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### startOfNode

    public void startOfNode()
                     throws FOPException

Description copied from class: `FONode`
Called after processNode() is called. Subclasses can do additional processing.

Overrides:
  `startOfNode` in class `PDFDictionaryElement`
Throws:
  `FOPException` - if there's a problem during processing